\section{Problem}
\label{sec:problem}

\emph{Kimera-Multi} \cite{2021kimeramulti} attempts to solve the problem of
\emph{robot localization}. But this problem has been approached in so many ways
that in order to compare it properly with other research works we have to
narrow it to \emph{simultaneous localization and mapping using multi-robot
systems}.

Simultaneous localization and mapping (namely SLAM) is a problem that goes
beyond simple consecutive pose transformations. Solutions of this problem
involve methods to detect loops in the trajectory (visiting a point already
present in the map) and to minimize the error of the trajectory taking into
account those \emph{loop closures}. Therefore, the SLAM problem often includes
\emph{odometry} and \emph{pose graph optimization}.

Additionally, the reference work proposes to build the map using a \emph{dense
metric-semantic mesh}, which adds new dimensions to the problem: \emph{semantic
tagging} and \emph{3D mesh generation}. As mentioned in the
\cref{sec:introduction}, Kimera-Multi is the culmination of a series of works
from the same laboratory, therefore these additional problems have been worked
on separately in \cite{Rosinol20rss-dynamicSceneGraphs} and
\cite{Rosinol19icra-incremental}. This work won't comment the solutions of
these additional problems, which are illustrated in
\cref{fig:3D-mesh-generation,fig:semantic-tagging}.

\simplefigure{3D-mesh-generation.jpg}{\citetitle{Rosinol19icra-incremental}
\protect\cite{Rosinol19icra-incremental} proposes a Visual Inertial Odometry
pipeline that incrementally builds a 3D mesh of the environment starting from a
3D Delaunay triangulation of keypoints (a). They also detect and enforce
\emph{structural regularities}, c.f. (b) planar walls (green) and floor (blue).
The bottom row compares the mesh constructed (c) without and (d) with
structural regularities}

\simplefigure{semantic-tagging.jpg}{\citetitle{Rosinol20icra-Kimera}
\protect\cite{Rosinol20icra-Kimera} proposes to use 2D semantically labeled
images to semantically annotate the 3D mesh; the 2D semantic labels can be
obtained using off-the shelf tools for pixel-level 2D semantic segmentation,
\emph{e.g.}, deep neural networks or classical MRF-based approaches. The
semantic labels are therefore propagated from the image to the 3D mesh as it is
created.}
